Merge "Fix Docker Container Build Tagging"
authorAric Gardner <agardner@linuxfoundation.org>
Fri, 18 May 2018 15:54:12 +0000 (15:54 +0000)
committerGerrit Code Review <gerrit@opnfv.org>
Fri, 18 May 2018 15:54:12 +0000 (15:54 +0000)
jjb/ci_gate_security/opnfv-ci-gate-security.yaml
jjb/daisy4nfv/daisy-daily-jobs.yaml
jjb/daisy4nfv/daisy-project-jobs.yaml
jjb/daisy4nfv/daisy4nfv-merge-jobs.yaml
jjb/daisy4nfv/daisy4nfv-verify-jobs.yaml
jjb/dovetail/dovetail-run.sh
jjb/openci/create-ane.sh [new file with mode: 0755]
jjb/openci/openci-odl-daily-jobs.yaml [new file with mode: 0644]
jjb/openci/openci-onap-daily-jobs.yaml [new file with mode: 0644]
jjb/releng/opnfv-lint.yaml

index cd38313..2e500be 100644 (file)
             - draft-published-event
             - comment-added-contains-event:
                 comment-contains-value: 'recheck'
-            - comment-added-contains-event:
-                comment-contains-value: 'reverify'
           projects:
             - project-compare-type: 'REG_EXP'
               project-pattern: 'apex|armband|bamboo|barometer|bottlenecks|calipso|compass4nfv|conductor|copper|cperf|daisy|doctor|dovetail|dpacc|enfv|fds|fuel|functest|pharos|releng|sandbox|yardstick|infra|ipv6|kvmfornfv|models|moon|netready'
index 1769bb4..ba03bc3 100644 (file)
     master: &master
       stream: master
       branch: '{stream}'
-      disabled: false
+      disabled: true
       gs-pathname: ''
     fraser: &fraser
       stream: fraser
       branch: 'stable/{stream}'
       gs-pathname: '/{stream}'
-      disabled: false
+      disabled: true
 
     # -------------------------------
     # POD, INSTALLER, AND BRANCH MAPPING
index cb0dea1..ec5ba71 100644 (file)
       - master:
           branch: '{stream}'
           gs-pathname: ''
-          disabled: false
+          disabled: true
       - fraser:
           branch: 'stable/{stream}'
           gs-pathname: '/{stream}'
-          disabled: false
+          disabled: true
 
     phase:
       - 'build':
index 3a0a59f..7e03fab 100644 (file)
       - master:
           branch: '{stream}'
           gs-pathname: ''
-          disabled: false
+          disabled: true
       - fraser:
           branch: 'stable/{stream}'
           gs-pathname: '/{stream}'
-          disabled: false
+          disabled: true
     #####################################
     # patch merge phases
     #####################################
index 777b677..033beeb 100644 (file)
       - master:
           branch: '{stream}'
           gs-pathname: ''
-          disabled: false
+          disabled: true
       - fraser:
           branch: 'stable/{stream}'
           gs-pathname: '/{stream}'
-          disabled: false
+          disabled: true
 
     #####################################
     # patch verification phases
index 9616fb3..df681dd 100755 (executable)
@@ -124,7 +124,7 @@ if [[ ! "${SUT_BRANCH}" =~ "danube" && ${INSTALLER_TYPE} == 'fuel' && ${DEPLOY_T
                 awk '{print \$2; exit}'") &> /dev/null
     cat << EOF >${DOVETAIL_CONFIG}/pod.yaml
 nodes:
-- {ip: ${fuel_ctl_ip}, name: node1, key_filename: /root/.ssh/id_rsa, role: controller, user: ${ssh_user}}
+- {ip: ${fuel_ctl_ip}, name: node1, key_filename: /home/opnfv/userconfig/pre_config/id_rsa, role: controller, user: ${ssh_user}}
 
 EOF
 fi
@@ -154,7 +154,8 @@ if [[ ! -f ${DOVETAIL_CONFIG}/pod.yaml ]]; then
     fi
 
     cmd="sudo python ${releng_repo}/utils/create_pod_file.py -t ${INSTALLER_TYPE} \
-         -i ${INSTALLER_IP} ${options} -f ${DOVETAIL_CONFIG}/pod.yaml"
+         -i ${INSTALLER_IP} ${options} -f ${DOVETAIL_CONFIG}/pod.yaml \
+         -s /home/opnfv/userconfig/pre_config/id_rsa"
     echo ${cmd}
     ${cmd}
 
diff --git a/jjb/openci/create-ane.sh b/jjb/openci/create-ane.sh
new file mode 100755 (executable)
index 0000000..8a4da8f
--- /dev/null
@@ -0,0 +1,26 @@
+#!/bin/bash
+# SPDX-license-identifier: Apache-2.0
+##############################################################################
+# Copyright (c) 2018 Ericsson AB and others.
+# All rights reserved. This program and the accompanying materials
+# are made available under the terms of the Apache License, Version 2.0
+# which accompanies this distribution, and is available at
+# http://www.apache.org/licenses/LICENSE-2.0
+##############################################################################
+set -o errexit
+set -o nounset
+set -o pipefail
+
+# This script creates ArtifactPublishedEvent
+# The JMS Messaging Plugin doesn't handle the newlines well so the eventBody is
+# constructed on a single line. This is something that needs to be fixed properly
+
+cat << EOF > $WORKSPACE/event.properties
+type=$PUBLISH_EVENT_TYPE
+origin=$PUBLISH_EVENT_ORIGIN
+eventBody="{ 'type': '$PUBLISH_EVENT_TYPE', 'id': '$(uuidgen)', 'time': '$(date -u +%Y-%m-%d_%H:%M:%SUTC)', 'origin': '$PUBLISH_EVENT_ORIGIN', 'buildUrl': '$BUILD_URL', 'branch': 'master', 'artifactLocation': '$ARTIFACT_LOCATION', 'confidenceLevel': { $CONFIDENCE_LEVEL } }"
+EOF
+echo "Constructed $PUBLISH_EVENT_TYPE"
+echo "--------------------------------------------"
+cat $WORKSPACE/event.properties
+echo "--------------------------------------------"
diff --git a/jjb/openci/openci-odl-daily-jobs.yaml b/jjb/openci/openci-odl-daily-jobs.yaml
new file mode 100644 (file)
index 0000000..89f8e54
--- /dev/null
@@ -0,0 +1,97 @@
+---
+- project:
+    name: openci-odl
+
+    project: '{name}'
+
+    stream:
+      - master:
+          branch: '{stream}'
+          gs-pathname: ''
+          disabled: false
+
+    jobs:
+      - 'openci-odl-autorelease-daily-{stream}'
+      - 'openci-odl-promote-daily-{stream}'
+
+# This job gets triggered manually for the demo purposes.
+#
+# In prototype, either what this job does needs to be integrated to
+# ODL autorelease job or triggered by the upstream autorelease job.
+- job-template:
+    name: 'openci-odl-autorelease-daily-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - string:
+          name: PUBLISH_EVENT_TYPE
+          default: ArtifactPublishedEvent
+          description: 'The type of the event this job publishes'
+      - string:
+          name: PUBLISH_EVENT_ORIGIN
+          default: ODL
+          description: 'Originating community'
+      - string:
+          name: ARTIFACT_LOCATION
+          default: https://url/to/artifact/on/odl/nexus/$BUILD_NUMBER
+          description: 'The location of the artifact on ODL Nexus'
+      - string:
+          name: CONFIDENCE_LEVEL
+          default: "'autorelease': 'SUCCESS'"
+          description: 'The confidence level the published artifact gained'
+      - 'opnfv-build-defaults'
+
+    builders:
+      - shell:
+          !include-raw-escape: ./create-ane.sh
+      - inject:
+          properties-file: "$WORKSPACE/event.properties"
+
+    publishers:
+      - jms-messaging:
+          provider-name: openci.activemq
+          msg-type: Custom
+          msg-props: |
+            type=$type
+            origin=$origin
+          msg-content:
+            $eventBody
+
+# This job gets triggered by a ConfidenceLevelModifiedEvent published
+# by OPNFV jobs so ODL can promote the autorelease artifact even further.
+#
+# This job is created for the demo purposes and might not be there for
+# the prototype.
+- job-template:
+    name: 'openci-odl-promote-daily-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - 'opnfv-build-defaults'
+
+    triggers:
+      - jms-messaging:
+          provider-name: openci.activemq
+          selector: CI_TYPE = 'custom'
+          checks:
+            - field: origin
+              expected-value: 'OPNFV'
+            - field: type
+              expected-value: 'ConfidenceLevelModifiedEvent'
+
+    builders:
+      - shell: |
+          #!/bin/bash
+
+          echo
+          echo "Triggered by $type"
+          echo "----------------------------------"
+          echo $CI_MESSAGE
+          echo "----------------------------------"
+          echo " Promoted ODL Autorelease artifact as release candidate!"
diff --git a/jjb/openci/openci-onap-daily-jobs.yaml b/jjb/openci/openci-onap-daily-jobs.yaml
new file mode 100644 (file)
index 0000000..524f784
--- /dev/null
@@ -0,0 +1,97 @@
+---
+- project:
+    name: openci-onap
+
+    project: '{name}'
+
+    stream:
+      - master:
+          branch: '{stream}'
+          gs-pathname: ''
+          disabled: false
+
+    jobs:
+      - 'openci-onap-autorelease-daily-{stream}'
+      - 'openci-onap-promote-daily-{stream}'
+
+# This job gets triggered manually for the demo purposes.
+#
+# In prototype, either what this job does needs to be integrated to
+# ONAP autorelease job or triggered by the upstream autorelease job.
+- job-template:
+    name: 'openci-onap-autorelease-daily-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - string:
+          name: PUBLISH_EVENT_TYPE
+          default: ArtifactPublishedEvent
+          description: 'The type of the event this job publishes'
+      - string:
+          name: PUBLISH_EVENT_ORIGIN
+          default: ONAP
+          description: 'Originating community'
+      - string:
+          name: ARTIFACT_LOCATION
+          default: https://url/to/artifact/on/onap/nexus/$BUILD_NUMBER
+          description: 'The location of the artifact on ONAP Nexus'
+      - string:
+          name: CONFIDENCE_LEVEL
+          default: "'autorelease': 'SUCCESS'"
+          description: 'The confidence level the published artifact gained'
+      - 'opnfv-build-defaults'
+
+    builders:
+      - shell:
+          !include-raw-escape: ./create-ane.sh
+      - inject:
+          properties-file: "$WORKSPACE/event.properties"
+
+    publishers:
+      - jms-messaging:
+          provider-name: openci.activemq
+          msg-type: Custom
+          msg-props: |
+            type=$type
+            origin=$origin
+          msg-content:
+            $eventBody
+
+# This job gets triggered by a ConfidenceLevelModifiedEvent published
+# by OPNFV jobs so ONAP can promote the autorelease artifact even further.
+#
+# This job is created for the demo purposes and might not be there for
+# the prototype.
+- job-template:
+    name: 'openci-onap-promote-daily-{stream}'
+
+    disabled: '{obj:disabled}'
+
+    concurrent: false
+
+    parameters:
+      - 'opnfv-build-defaults'
+
+    triggers:
+      - jms-messaging:
+          provider-name: openci.activemq
+          selector: CI_TYPE = 'custom'
+          checks:
+            - field: origin
+              expected-value: 'OPNFV'
+            - field: type
+              expected-value: 'ConfidenceLevelModifiedEvent'
+
+    builders:
+      - shell: |
+          #!/bin/bash
+
+          echo
+          echo "Triggered by $type"
+          echo "----------------------------------"
+          echo $CI_MESSAGE
+          echo "----------------------------------"
+          echo " Promoted ONAP Autorelease artifact as release candidate!"
index aac8c31..6483e32 100644 (file)
@@ -64,8 +64,6 @@
             - draft-published-event
             - comment-added-contains-event:
                 comment-contains-value: 'recheck'
-            - comment-added-contains-event:
-                comment-contains-value: 'reverify'
           projects:
             - project-compare-type: 'REG_EXP'
               project-pattern: 'releng|doctor|pharos'